package com.tmerclub.cloud.common.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author lanhai
 */
public class TackStockDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "实物盘点id")
    private Long takeStockId;

    @Schema(description = "盘点单号")
    private String takeStockNo;

    @Schema(description = "盘点状态 0已作废 1盘点中 2已完成")
    private Integer billStatus;

    @Schema(description = "制单人")
    private Long maker;

    @Schema(description = "盘点区域名称")
    private String stockRegionName;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "制单人手机号")
    private String makerMobile;

    public Long getTakeStockId() {
        return takeStockId;
    }

    public void setTakeStockId(Long takeStockId) {
        this.takeStockId = takeStockId;
    }

    public String getTakeStockNo() {
        return takeStockNo;
    }

    public void setTakeStockNo(String takeStockNo) {
        this.takeStockNo = takeStockNo;
    }

    public Integer getBillStatus() {
        return billStatus;
    }

    public void setBillStatus(Integer billStatus) {
        this.billStatus = billStatus;
    }

    public Long getMaker() {
        return maker;
    }

    public void setMaker(Long maker) {
        this.maker = maker;
    }

    public String getStockRegionName() {
        return stockRegionName;
    }

    public void setStockRegionName(String stockRegionName) {
        this.stockRegionName = stockRegionName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getMakerMobile() {
        return makerMobile;
    }

    public void setMakerMobile(String makerMobile) {
        this.makerMobile = makerMobile;
    }

    @Override
    public String toString() {
        return "TackStockDTO{" +
                "takeStockId=" + takeStockId +
                ", takeStockNo='" + takeStockNo + '\'' +
                ", billStatus=" + billStatus +
                ", maker=" + maker +
                ", stockRegionName='" + stockRegionName + '\'' +
                ", remark='" + remark + '\'' +
                ", shopId=" + shopId +
                ", makerMobile='" + makerMobile + '\'' +
                '}';
    }
}
